Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Instance Methods | Class Methods | List of all members
SoundEngineEffect Class Reference

## Public Types
enum | { kPlayThreadState_Loop = 0, kPlayThreadState_Decay = 1, kPlayThreadState_End = 2 }

## Instance Methods
() | - SoundEngineEffect
() | - ~SoundEngineEffect
(UInt32) | - GetEffectID
(UInt32) | - GetPlayThreadState
(Boolean) | - HasAttackBuffer
(ALenum) | - GetALFormat
(OSStatus) | - LoadFileData
(OSStatus) | - AttachFilesToSource
(OSStatus) | - ClearSourceBuffers
(OSStatus) | - Start
(OSStatus) | - StartDecay
(OSStatus) | - Stop
(OSStatus) | - SetPitch
(OSStatus) | - SetLooping
(OSStatus) | - SetPosition
(OSStatus) | - SetMaxDistance
(OSStatus) | - SetReferenceDistance
(OSStatus) | - SetLevel

## Class Methods
(static void *) | + PlaybackProc

## Member Enumeration Documentation

- (anonymous) enum

Enumerator
kPlayThreadState_Loop |
kPlayThreadState_Decay |
kPlayThreadState_End |

## Constructor & Destructor Documentation

- SoundEngineEffect |  | (const char *) | inLoopPath
|  | (const char *) | inAttackPath
|  | (const char *) | inDecayPath
|  | (Boolean) | inDoLoop

- ~SoundEngineEffect |  |  |

## Method Documentation

- (OSStatus) AttachFilesToSource |  |  |

- (OSStatus) ClearSourceBuffers |  |  |

- (ALenum) GetALFormat |  | (AudioStreamBasicDescription) | inFileFormat |

- (UInt32) GetEffectID |  |  |

- (UInt32) GetPlayThreadState |  |  |

- (Boolean) HasAttackBuffer |  |  |

- (OSStatus) LoadFileData |  | (const char *) | inFilePath
|  | (void *&) | outData
|  | (UInt32 &) | outDataSize
|  | (ALuint &) | outBufferID

+ (static void*) PlaybackProc |  | (void *) | args |

- (OSStatus) SetLevel |  | (Float32) | inValue |

- (OSStatus) SetLooping |  | (Boolean) | inDoLoop |

- (OSStatus) SetMaxDistance |  | (Float32) | inValue |

- (OSStatus) SetPitch |  | (Float32) | inValue |

- (OSStatus) SetPosition |  | (Float32) | inX
|  | (Float32) | inY
|  | (Float32) | inZ

- (OSStatus) SetReferenceDistance |  | (Float32) | inValue |

- (OSStatus) Start |  |  |

- (OSStatus) StartDecay |  |  |

- (OSStatus) Stop |  | (Boolean) | inDoDecay |

The documentation for this class was generated from the following file:

- platformiOS/SoundEngine.mm